FROM ghcr.io/astral-sh/uv:debian-slim

ADD . /app
WORKDIR /app

RUN useradd -m -r nummi && \
	chown -R nummi /app

USER nummi

ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1
ENV NUMMI_CONFIG=/nummi/config.toml

RUN uv sync --locked

CMD ["./entrypoint.sh"]
